@echo off

set url="SELECT '{symbol}' AS Symbol, YtdReturn_raw AS YtdReturn, Beta3Year_raw AS Beta3Year, TotalAssets_fmt AS TotalAssets, ThreeYearAverageReturn_raw AS [3YearAvgReturn], FiveYearAverageReturn_raw AS [5YearAvgReturn] FROM https://query2.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=defaultKeyStatistics"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=SPY  /rootPath=quoteSummary.result.defaultKeyStatistics

echo.

set url="https://www.msn.com/en-us/money/stockdetailsvnext/financials/income_statement/annual/fi-{symbol}"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /nosourceheaders


set url="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=incomeStatementHistory"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /rootpath=*.*.*.*.* /rowvalues /offset=4


set url="SELECT '{symbol}' AS [symbol], T AS [date], Op AS [open], Hp AS [high], Lp AS [low], P AS [close], V AS volume FROM https://finance-services.msn.com/Market.svc/ChartAndQuotes?symbols={symbol}&chartType=1y&isEOD=True&isCS=true&isVol=true"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /rootPath=Chart.Series /skippedNodes=IsStitched /referer=https://www.msn.com/en-us/money/


set url="SELECT '{symbol}' AS [symbol], [Timestamp] AS [date], [Open] AS [open], High AS [high], [Low] AS [low], [Close] AS [close], Volume AS volume FROM https://query1.finance.yahoo.com/v7/finance/chart/{symbol}?range=2y&interval=1d&indicators=quote&includeTimestamps=true"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /rootpath=*.*.timestamp,*.*.*.quote


set url="SELECT '{symbol}' AS [Symbol], '{date}' AS [Expiration], F1 AS [Type], Price AS Strike, Bid, Ask, [Last], Change, Vol AS Volume, OpenInterest FROM https://www.msn.com/en-us/finance/stocks/optionsajax/{symbol}/?date={date}"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL;date=2023-03-17 /offset=20


set url="SELECT ContractSymbol, Expiration, Strike, Bid, Ask, LastPrice, Change, Volume, OpenInterest, ImpliedVolatility FROM https://query1.finance.yahoo.com/v7/finance/options/{symbol}?date=1579219200"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /rootPath=*.*.*.calls,*.*.*.puts /offset=30


set url="SELECT '{symbol}' AS Symbol, FlIns AS MsnCode, Ld AS LastDate, Lt AS LastTime, Lp AS [Last], Yrr, Beta, Eps, Pe, YTD FROM https://finance-services.msn.com/Market.svc/ChartAndQuotes?symbols={symbol}&chartType=1y&isEOD=True&isCS=true&isVol=true"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /rootPath=Quotes /referer=https://www.msn.com/en-us/money/

echo.


set url="SELECT '{symbol}' AS Symbol, RegularMarketPrice AS [Last], FiftyTwoWeekHigh AS [52High], FiftyTwoWeekLow AS [52Low], TrailingPE AS PE, TrailingAnnualDividendRate AS DivRate, TrailingAnnualDividendYield AS DivYield FROM https://query1.finance.yahoo.com/v7/finance/quote?symbols={symbol}"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL

echo.


set url="SELECT '{symbol}' AS Symbol, FiftyTwoWeekHigh_raw AS [52High], FiftyTwoWeekLow_raw AS [52Low], Beta_raw AS Beta, TrailingPE_raw AS PE, ExDividendDate_fmt AS DivDate, DividendRate_raw AS DivRate, DividendYield_raw AS DivYield FROM https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=summaryDetail"

gsqlcmd convert %url% /quoteChar= /DateTimeFormat=yyyy-MM-dd /limit=1 /set=Symbol=AAPL /rootPath=*.*.summaryDetail


@pause
